Skip to content
Sign In

getBookAccessRequest

GET
/v5/books/{bookId}/collaborators/request/{id}

Resolve a Book access request

Authorizations

Parameters

Path Parameters

bookId
required
string

The id of the book. Same bookId url param on Bkper

id
required
string

The Book access request id

Responses

200

A Collaborator response

object
agentId

The id of agent that created the resource

string
avatarUrl

The Collaborator public avatar url

string
createdAt

The creation timestamp, in milliseconds

string
email

The email of the Collaborator

string
id

The unique id that identifies the Collaborator in the Book

string
permission

The permission the Collaborator has in the Book

string
Allowed values: OWNER EDITOR POSTER RECORDER VIEWER NONE
updatedAt

The last update timestamp, in milliseconds

string

Examples

{
"agentId": "string",
"avatarUrl": "string",
"createdAt": "1592000000000",
"email": "string",
"id": "string",
"permission": "OWNER",
"updatedAt": "1592000000000"
}

default

An error response from the Bkper API or its public API proxy.

A JSON error response. API operation errors use the nested error object. Public API proxy errors use the Problem Details fields.

object
error
object
errors
Array<object>
object
domain
string
reason
string
message
string
code
required
integer format: int32
message
required
string
type
string
title
string
status
integer format: int32
detail
string
instance
string
code
string